MP3 Tag Editor (ID3) & Album Art
Fix titles, artists, track numbers, lyrics and cover art without touching the sound.
Try before you buy.
- Free preview: your new tags and cover written into the file in your browser and read back from it, with the audio checked to be unchanged.
- Locked until you unlock it: download.
- Unlock: Pro pass, ₹179 for 30 days, a one-time payment that never renews.
Ways to unlock shows how to get the full result.
Printing this result is locked in the free preview.
Cover art
No cover picture
Locked in the free preview. Opens the ways to unlock this result.
Locked in the free preview. Batch runs unlock with a pass.
Locked in the free preview. Query results unlock with a pass.
About the MP3 Tag Editor (ID3) & Album Art
Edit the information your music player shows: title, artist, album, album artist, track and disc numbers, year, genre, composer, comment and lyrics, and the cover art. Open an MP3 (ID3v2.2, 2.3 and 2.4, and ID3v1), an M4A or M4B audiobook (iTunes metadata), a FLAC file (Vorbis comments and pictures) or an OGG or Opus file, and every tag it has appears in the form, with the cover beside it.
Only the tags change. The audio is copied byte for byte — nothing is decoded or re-encoded, so the sound is exactly as before — and everything else in the tag is kept: ratings, ReplayGain values, MusicBrainz ids, sort names, chapters and the like. After every change the page builds the new file in your browser, reads it back and compares the tags and the audio bytes, and tells you what it checked. The cover can be replaced, removed or kept as an image file, and every tag can be removed at once; the finished file is saved with a pass, or after unlocking that result. Your files never leave your device.
How to use it
- Drop an MP3, M4A, FLAC, OGG or Opus file on the box, or press Choose an audio file. Its tags fill the form and its cover appears.
- Change any field. Track and disc take a number and, after of, the total; the year can also be a full date written YYYY-MM-DD.
- Use Replace cover (or Add a cover) to choose a JPEG or PNG picture — pictures larger than 1000 px are made a 1000 px JPEG unless you untick that — Remove to take it out, or Save picture to keep the cover as an image file (it is your own picture, so the free preview never locks it).
- For MP3s, choose ID3v2.3 (the most widely read) or ID3v2.4, and whether to keep the old ID3v1 tag up to date.
- Read the check line under the form, then press Save tagged file (or Remove all tags) with a pass, or after unlocking this result: the file keeps its name so it can replace the original. Without one the free preview checks your new tags on your own file but does not save it.
Examples
track03.mp3 · Title “Track 03”, no artist, no cover
Title, artist, album, track 3 of 12 and a cover picture written as ID3v2.3; the audio bytes are identical
book.m4b · iTunes metadata with chapters
New album, author (artist) and cover; the chapters and every other item are carried over, and the audio data is checked to be unchanged
song.flac · Vorbis comments, ReplayGain values
LYRICS added; ReplayGain and all other comments kept; the new comments go into the file’s padding where they fit, so the audio frames usually stay in place
voice-note.mp3 with ID3v2.4, ID3v1 and an APE tag
Remove all tags: only the MPEG audio frames are left
Common uses
- Fixing songs that show up as “Unknown artist” or “Track 01” in a music app.
- Adding album art to MP3s so they show a cover on a phone, a car stereo or a smart speaker.
- Putting the right track and disc numbers on an album so it plays in order.
- Adding lyrics to songs for players that show them.
- Removing all tags (and the personal details in them) before sharing a recording.
What is changed in each format
- MP3: the ID3v2 tag at the start of the file is written again as ID3v2.3 (the default, which every player reads) or ID3v2.4. The form’s fields are the frames TIT2, TPE1, TALB, TPE2, TRCK, TPOS, TYER and TDAT (2.3) or TDRC (2.4), TCON, TCOM, COMM, USLT and APIC; all other frames are carried over, converted where 2.3 and 2.4 differ. When the new tag fits in the space of the old one, the audio stays where it was. An old 128-byte ID3v1 tag at the end is updated (or removed or added, as you choose); an APEv2 tag at the end is kept unless you remove all tags.
- M4A, M4B and MP4 audio: the iTunes metadata list (moov › udta › meta › ilst, from the QuickTime file format): ©nam, ©ART, aART, ©alb, ©wrt, ©gen, ©day, trkn, disk, ©cmt, ©lyr and covr; other items stay. If the index of the file grows and sits in front of the audio, the audio’s chunk offsets are adjusted — in fragmented files (some streaming downloads) also the offsets of the fragments and the fragment index — or a padding atom next to it takes up the difference. Remove all tags also takes out the QuickTime and 3GPP metadata outside the iTunes list, such as the place a recording was made.
- FLAC: the VORBIS_COMMENT block and the PICTURE blocks (RFC 9639); STREAMINFO, SEEKTABLE, CUESHEET and APPLICATION blocks are kept, and the padding is used so the audio frames usually stay in place.
- OGG and Opus: the comment header (Vorbis comments, RFC 7845 for Opus), with the cover as a METADATA_BLOCK_PICTURE comment. The pages that follow are renumbered and their checksums recalculated when the header pages change (RFC 3533); the audio packets are copied as they are.
How the page checks the new file
Every time you change something, the page writes the new file in memory, reads it again with the same parser it uses for your file, and compares two things: that every field and picture reads back exactly as you entered it, and that the audio — the MPEG frames, the MP4 media data, the FLAC frames or the Ogg packets — is byte for byte the original. For MP4 files it also checks that the file’s index (chunk and fragment offsets) still points at that same audio. The line under the form says how many bytes of audio it compared. If anything differed, the file would not be saved.
Fields you do not change are written back exactly as they were — several values, a full date with a time, a numeric genre, the text encoding and, in FLAC and Ogg files, the field’s own name such as YEAR or ALBUM ARTIST. The exception is switching an MP3 between ID3v2.3 and ID3v2.4: then every field is written again in the new version’s form.
Cover art that works everywhere
Most players and phones show a JPEG or PNG front cover; a square picture of about 500 to 1000 pixels a side looks sharp and keeps the file small. Very large covers (several megabytes) make some players and car stereos slow, which is why new pictures larger than 1000 px are made a 1000 px JPEG unless you untick that. MP4 files hold only JPEG, PNG and BMP covers and have no picture types, so every picture there counts as the cover.
Limitations
- One file at a time. WAV, AIFF, WMA, raw AAC (ADTS) and Ogg FLAC files are not edited here; convert them with the Audio Converter first.
- The form edits the common fields; other tag items are kept as they are but not shown for editing.
- Several values in one field (two artists in ID3v2.4 or Vorbis comments) are shown joined with “; ” and are saved as one value if you change that field.
- ID3v2.3 holds a year or a full date (year, month and day) but not a year with only a month; choose ID3v2.4 for that.
- The free preview edits and checks the tags on your own file; saving the tagged file needs a pass.
Privacy
Everything happens in your browser. What you enter or open here is not uploaded or stored by MySmartCoPilot.
Frequently asked questions
What do I get without a pass?
Without a pass, MP3 Tag Editor (ID3) & Album Art shows your new tags and cover written into the file in your browser and read back from it, with the audio checked to be unchanged. Until you unlock it, the result can’t be downloaded. A Pro, Premium or Ultimate pass, a one-time payment that never renews, unlocks the full result. The pricing page lists the passes and their prices.
Will editing the tags change the sound quality?
No. The audio data is copied byte for byte and the page checks that it is identical before you save. Only the tag area of the file changes.
Should I use ID3v2.3 or ID3v2.4?
ID3v2.3 is read by practically every player, car stereo and operating system, so it is the default. ID3v2.4 stores text as UTF-8 and full dates; choose it if your software prefers it. Both hold any language.
Why does Windows or my player still show the old tags?
Players cache tags. Replace the old file with the saved one (same name), then refresh the library or re-scan the folder; on a phone, the music app may need to re-scan its storage.
How do I get the cover picture out of an MP3?
Open the file and press Save picture under the cover. The picture is saved exactly as it is stored in the file, as a JPEG or PNG.
Are my files uploaded?
No. The file is read and written in your browser on your device; nothing is sent anywhere.